karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (KARAF-6139) JmsTest is failing
Date Wed, 06 Feb 2019 17:10:00 GMT

    [ https://issues.apache.org/jira/browse/KARAF-6139?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16761939#comment-16761939
] 

ASF subversion and git services commented on KARAF-6139:
--------------------------------------------------------

Commit 69638992705484c7853c69f95c991b3230297da4 in karaf's branch refs/heads/master from Jean-Baptiste
Onofré
[ https://gitbox.apache.org/repos/asf?p=karaf.git;h=6963899 ]

Merge pull request #759 from jbonofre/KARAF-6139

[KARAF-6139] Fix JmsTest itest

> JmsTest is failing
> ------------------
>
>                 Key: KARAF-6139
>                 URL: https://issues.apache.org/jira/browse/KARAF-6139
>             Project: Karaf
>          Issue Type: Test
>          Components: karaf
>            Reporter: Jean-Baptiste Onofré
>            Assignee: Jean-Baptiste Onofré
>            Priority: Major
>             Fix For: 4.2.3
>
>
> Since the cancel of 4.2.3 release, the {{JmsTest}} tests are failing:
> {code}
> org.apache.karaf.itests.JmsTest.testMBean
> org.apache.karaf.itests.JmsTest.testCommands
> {code}
> Reason seems to be: 
> {code}
> org.apache.felix.resolver.reason.ReasonException: Unable to resolve root: missing requirement
[root] osgi.identity; osgi.identity=framework; type=karaf.feature; version="[4.2.3.SNAPSHOT,4.2.3.SNAPSHOT]";
filter:="(&(osgi.identity=framework)(type=karaf.feature)(version>=4.2.3.SNAPSHOT)(version<=4.2.3.SNAPSHOT))"
[caused by: Unable to resolve framework/4.2.3.SNAPSHOT: missing requirement [framework/4.2.3.SNAPSHOT]
osgi.identity; osgi.identity=org.apache.karaf.features.extension; type=osgi.fragment; version="[4.2.3.SNAPSHOT,4.2.3.SNAPSHOT]";
resolution:=mandatory [caused by: Fragment was not selected for attachment: org.apache.karaf.features.extension
[1](R 1.0)]]
> 	at org.apache.felix.resolver.Candidates$MissingRequirementError.toException(Candidates.java:1343)
> 	at org.apache.felix.resolver.ResolverImpl.doResolve(ResolverImpl.java:392)
> 	at org.apache.felix.resolver.ResolverImpl.resolve(ResolverImpl.java:378)
> 	at org.apache.felix.resolver.ResolverImpl.resolve(ResolverImpl.java:332)
> 	at org.apache.karaf.features.internal.region.SubsystemResolver.resolve(SubsystemResolver.java:257)
> 	at org.apache.karaf.features.internal.service.Deployer.deploy(Deployer.java:388)
> 	at org.apache.karaf.features.internal.service.FeaturesServiceImpl.doProvision(FeaturesServiceImpl.java:1058)
> 	at org.apache.karaf.features.internal.service.FeaturesServiceImpl.lambda$doProvisionInThread$13(FeaturesServiceImpl.java:994)
> 	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
> 	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
> 	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
> 	at java.lang.Thread.run(Thread.java:748)
> Caused by: org.apache.felix.resolver.reason.ReasonException: Unable to resolve framework/4.2.3.SNAPSHOT:
missing requirement [framework/4.2.3.SNAPSHOT] osgi.identity; osgi.identity=org.apache.karaf.features.extension;
type=osgi.fragment; version="[4.2.3.SNAPSHOT,4.2.3.SNAPSHOT]"; resolution:=mandatory [caused
by: Fragment was not selected for attachment: org.apache.karaf.features.extension [1](R 1.0)]
> 	at org.apache.felix.resolver.Candidates$MissingRequirementError.toException(Candidates.java:1343)
> 	... 12 more
> Caused by: org.apache.felix.resolver.reason.ReasonException: Fragment was not selected
for attachment: org.apache.karaf.features.extension [1](R 1.0)
> 	at org.apache.felix.resolver.Candidates$FragmentNotSelectedError.toException(Candidates.java:1307)
> 	... 13 more
> {code}



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message